<?php 

	$expert_carpenter_custom_style = '';

	// Logo Size
	$expert_carpenter_logo_top_padding = get_theme_mod('expert_carpenter_logo_top_padding');
	$expert_carpenter_logo_bottom_padding = get_theme_mod('expert_carpenter_logo_bottom_padding');
	$expert_carpenter_logo_left_padding = get_theme_mod('expert_carpenter_logo_left_padding');
	$expert_carpenter_logo_right_padding = get_theme_mod('expert_carpenter_logo_right_padding');

	if( $expert_carpenter_logo_top_padding != '' || $expert_carpenter_logo_bottom_padding != '' || $expert_carpenter_logo_left_padding != '' || $expert_carpenter_logo_right_padding != ''){
		$expert_carpenter_custom_style .=' .logo {';
			$expert_carpenter_custom_style .=' padding-top: '.esc_attr($expert_carpenter_logo_top_padding).'px; padding-bottom: '.esc_attr($expert_carpenter_logo_bottom_padding).'px; padding-left: '.esc_attr($expert_carpenter_logo_left_padding).'px; padding-right: '.esc_attr($expert_carpenter_logo_right_padding).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_logo_size = get_theme_mod('expert_carpenter_logo_size');
	if( $expert_carpenter_logo_size != '') {
		if($expert_carpenter_logo_size == 100) {
			$expert_carpenter_custom_style .=' .custom-logo-link img {';
				$expert_carpenter_custom_style .=' width: 350px;';
			$expert_carpenter_custom_style .=' }';
		} else if($expert_carpenter_logo_size >= 10 && $expert_carpenter_logo_size < 100) {
			$expert_carpenter_custom_style .=' .custom-logo-link img {';
				$expert_carpenter_custom_style .=' width: '.esc_attr($expert_carpenter_logo_size).'%;';
			$expert_carpenter_custom_style .=' }';
		}
	}

	// service section padding
	$expert_carpenter_services_section_padding = get_theme_mod('expert_carpenter_services_section_padding');

	if( $expert_carpenter_services_section_padding != ''){
		$expert_carpenter_custom_style .=' #our_service {';
			$expert_carpenter_custom_style .=' padding-top: '.esc_attr($expert_carpenter_services_section_padding).'px; padding-bottom: '.esc_attr($expert_carpenter_services_section_padding).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	// Site Title Font Size
	$expert_carpenter_site_title_font_size = get_theme_mod('expert_carpenter_site_title_font_size');
	if( $expert_carpenter_site_title_font_size != ''){
		$expert_carpenter_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$expert_carpenter_custom_style .=' font-size: '.esc_attr($expert_carpenter_site_title_font_size).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	// Site Tagline Font Size
	$expert_carpenter_site_tagline_font_size = get_theme_mod('expert_carpenter_site_tagline_font_size');
	if( $expert_carpenter_site_tagline_font_size != ''){
		$expert_carpenter_custom_style .=' .logo p.site-description {';
			$expert_carpenter_custom_style .=' font-size: '.esc_attr($expert_carpenter_site_tagline_font_size).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_site_title_color = get_theme_mod('expert_carpenter_site_title_color');
	if ( $expert_carpenter_site_title_color != '') {
		$expert_carpenter_custom_style .='  .site-title a {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_site_title_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_site_tagline_color = get_theme_mod('expert_carpenter_site_tagline_color');
	if ( $expert_carpenter_site_tagline_color != '') {
		$expert_carpenter_custom_style .='  .logo p {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_site_tagline_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	//layout width
	$expert_carpenter_boxfull_width = get_theme_mod('expert_carpenter_boxfull_width');
	if ($expert_carpenter_boxfull_width !== '') {
		switch ($expert_carpenter_boxfull_width) {
			case 'container':
				$expert_carpenter_custom_style .= ' body, #header, .bottom-header {
					max-width: 1140px;
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'container-fluid':
				$expert_carpenter_custom_style .= ' body, #header, .bottom-header { 
					width: 100%;
					padding-right: 15px;
					padding-left: 15px;
					margin-right: auto;
					margin-left: auto;
					}';
				break;
			case 'none':
				// No specific width specified, so no additional style needed.
				break;
			default:
				// Handle unexpected values.
				break;
		}
	}

	//Menu animation
	$expert_carpenter_dropdown_anim = get_theme_mod('expert_carpenter_dropdown_anim');

	if ( $expert_carpenter_dropdown_anim != '') {
		$expert_carpenter_custom_style .=' .nav-menu ul ul {';
			$expert_carpenter_custom_style .=' animation:'.esc_attr($expert_carpenter_dropdown_anim).' 1s ease;';
		$expert_carpenter_custom_style .=' }';
	}
	

	// Footer css
	$expert_carpenter_copyright_padding = get_theme_mod('expert_carpenter_copyright_padding');

	if( $expert_carpenter_copyright_padding != ''){
		$expert_carpenter_custom_style .=' .site-info {';
			$expert_carpenter_custom_style .=' padding-top: '.esc_attr($expert_carpenter_copyright_padding).'px; padding-bottom: '.esc_attr($expert_carpenter_copyright_padding).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_footer_copy_font_size = get_theme_mod('expert_carpenter_footer_copy_font_size');
	if( $expert_carpenter_footer_copy_font_size != ''){
		$expert_carpenter_custom_style .=' .site-info p, .site-info a {';
			$expert_carpenter_custom_style .=' font-size: '.esc_attr($expert_carpenter_footer_copy_font_size).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_footer_widgets_color = get_theme_mod('expert_carpenter_footer_widgets_color');
	if ( $expert_carpenter_footer_widgets_color != '') {
		$expert_carpenter_custom_style .=' .site-footer h3.widget-title a, .site-footer h3.widget-title {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_footer_widgets_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_footer_widgets_menus_color = get_theme_mod('expert_carpenter_footer_widgets_menus_color');
	if ( $expert_carpenter_footer_widgets_menus_color != '') {
		$expert_carpenter_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_footer_widgets_menus_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_copyright_color = get_theme_mod('expert_carpenter_copyright_color');
	if ( $expert_carpenter_copyright_color != '') {
		$expert_carpenter_custom_style .=' .site-info p, .site-info a {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_copyright_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_copyrightbdr_color = get_theme_mod('expert_carpenter_copyrightbdr_color');
	if ( $expert_carpenter_copyrightbdr_color != '') {
		$expert_carpenter_custom_style .=' .copyright {';
			$expert_carpenter_custom_style .=' border-top-color:'.esc_attr($expert_carpenter_copyrightbdr_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_footerbg_color = get_theme_mod('expert_carpenter_footerbg_color');
	if ( $expert_carpenter_footerbg_color != '') {
		$expert_carpenter_custom_style .=' #colophon {';
			$expert_carpenter_custom_style .=' background-color:'.esc_attr($expert_carpenter_footerbg_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	// Header Image
	$header_image_url = expert_carpenter_banner_image( $image_url = '' );
	if( $header_image_url != ''){
		$expert_carpenter_custom_style .=' .header-box {';
			$expert_carpenter_custom_style .=' background-image: url('. esc_url( $header_image_url ).'); background-size: cover; background-repeat: no-repeat; background-attachment: fixed;';
		$expert_carpenter_custom_style .=' }';
	} else {
		$expert_carpenter_custom_style .=' .header-box {';
			$expert_carpenter_custom_style .=' background: #1c1a1b;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_slider_hide_show = get_theme_mod('expert_carpenter_slider_hide_show',false);
	if( $expert_carpenter_slider_hide_show == true){
		$expert_carpenter_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$expert_carpenter_custom_style .=' display:none;';
		$expert_carpenter_custom_style .=' }';
	}

	//top bar color
	$expert_carpenter_top_icon_color = get_theme_mod('expert_carpenter_top_icon_color');
	if ( $expert_carpenter_top_icon_color != '') {
		$expert_carpenter_custom_style .=' .contact-details i {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_top_icon_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_top_text_color = get_theme_mod('expert_carpenter_top_text_color');
	if ( $expert_carpenter_top_text_color != '') {
		$expert_carpenter_custom_style .=' .contact-details a {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_top_text_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_menu_color = get_theme_mod('expert_carpenter_menu_color');
	if ( $expert_carpenter_menu_color != '') {
		$expert_carpenter_custom_style .=' .page-template-custom-home-page .nav-menu ul li a, .single .nav-menu ul li a, .page-template-default .nav-menu ul li a {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_menu_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_menuhvr_color = get_theme_mod('expert_carpenter_menuhvr_color');
	if ( $expert_carpenter_menuhvr_color != '') {
		$expert_carpenter_custom_style .=' .nav-menu ul li a:active, .nav-menu ul li a:hover {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_menuhvr_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_menubg_color = get_theme_mod('expert_carpenter_menubg_color');
	if ( $expert_carpenter_menubg_color != '') {
		$expert_carpenter_custom_style .=' .page-template-custom-home-page .top-header, .single .top-header, .page-template-default .top-header {';
			$expert_carpenter_custom_style .=' background: rgba(0, 0, 0, 0) linear-gradient(60deg, transparent 35%, '.esc_attr($expert_carpenter_menubg_color).' 0%) repeat scroll 0 0;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_submenu_color = get_theme_mod('expert_carpenter_submenu_color');
	if ( $expert_carpenter_submenu_color != '') {
		$expert_carpenter_custom_style .=' .nav-menu ul ul a {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_submenu_color).' !important;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_submenuhvr_color = get_theme_mod('expert_carpenter_submenuhvr_color');
	if ( $expert_carpenter_submenuhvr_color != '') {
		$expert_carpenter_custom_style .=' .nav-menu ul ul li a:hover {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_submenuhvr_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_submenubg_color = get_theme_mod('expert_carpenter_submenubg_color');
	if ( $expert_carpenter_submenubg_color != '') {
		$expert_carpenter_custom_style .=' .nav-menu ul ul li a {';
			$expert_carpenter_custom_style .=' background-color:'.esc_attr($expert_carpenter_submenubg_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	//Social icon color
	$expert_carpenter_social_color = get_theme_mod('expert_carpenter_social_color');
	if ( $expert_carpenter_social_color != '') {
		$expert_carpenter_custom_style .=' .social-icons a i {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_social_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_socialhvr_color = get_theme_mod('expert_carpenter_socialhvr_color');
	if ( $expert_carpenter_socialhvr_color != '') {
		$expert_carpenter_custom_style .=' .social-icons a i:hover {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_socialhvr_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_socialbdr_color = get_theme_mod('expert_carpenter_socialbdr_color');
	if ( $expert_carpenter_socialbdr_color != '') {
		$expert_carpenter_custom_style .=' .social-icons a i {';
			$expert_carpenter_custom_style .=' border-color:'.esc_attr($expert_carpenter_socialbdr_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	//Slider color
	$expert_carpenter_slider_font_size = get_theme_mod('expert_carpenter_slider_font_size');
	if( $expert_carpenter_slider_font_size != ''){
		$expert_carpenter_custom_style .=' #slider .inner_carousel h1  {';
			$expert_carpenter_custom_style .=' font-size: '.esc_attr($expert_carpenter_slider_font_size).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_slider_opacity = get_theme_mod('expert_carpenter_slider_opacity');
	if ( $expert_carpenter_slider_opacity != '') {
		$expert_carpenter_custom_style .=' #slider img {';
			$expert_carpenter_custom_style .=' opacity:'.esc_attr($expert_carpenter_slider_opacity).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_slidertitle_color = get_theme_mod('expert_carpenter_slidertitle_color');
	if ( $expert_carpenter_slidertitle_color != '') {
		$expert_carpenter_custom_style .=' #slider .inner_carousel h1 {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_slidertitle_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_sliderborder_color = get_theme_mod('expert_carpenter_sliderborder_color');
	if ( $expert_carpenter_sliderborder_color != '') {
		$expert_carpenter_custom_style .=' #slider .inner_carousel hr {';
			$expert_carpenter_custom_style .=' background-color:'.esc_attr($expert_carpenter_sliderborder_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_sliderbtn_color = get_theme_mod('expert_carpenter_sliderbtn_color');
	$expert_carpenter_sliderbtnbg_color = get_theme_mod('expert_carpenter_sliderbtnbg_color');
	if ( $expert_carpenter_sliderbtn_color != '') {
		$expert_carpenter_custom_style .=' #slider .read-btn a {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_sliderbtn_color).'; background-color:'.esc_attr($expert_carpenter_sliderbtnbg_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_slidernp_color = get_theme_mod('expert_carpenter_slidernp_color');
	if ( $expert_carpenter_slidernp_color != '') {
		$expert_carpenter_custom_style .=' #slider .carousel-control-next-icon, #slider .carousel-control-prev-icon {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_slidernp_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	//Service color
	$expert_carpenter_services_title_font_size = get_theme_mod('expert_carpenter_services_title_font_size');
	if( $expert_carpenter_services_title_font_size != ''){
		$expert_carpenter_custom_style .=' #our_service .services-head h2 {';
			$expert_carpenter_custom_style .=' font-size: '.esc_attr($expert_carpenter_services_title_font_size).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_post_font_size = get_theme_mod('expert_carpenter_post_font_size');
	if( $expert_carpenter_post_font_size != ''){
		$expert_carpenter_custom_style .=' #our_service .services-box h3 {';
			$expert_carpenter_custom_style .=' font-size: '.esc_attr($expert_carpenter_post_font_size).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_post_text_font_size = get_theme_mod('expert_carpenter_post_text_font_size');
	if( $expert_carpenter_post_text_font_size != ''){
		$expert_carpenter_custom_style .=' #our_service .services-box p {';
			$expert_carpenter_custom_style .=' font-size: '.esc_attr($expert_carpenter_post_text_font_size).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_services_img_size = get_theme_mod('expert_carpenter_services_img_size');

	if( $expert_carpenter_services_img_size != ''){
		$expert_carpenter_custom_style .=' #our_service img{';
			$expert_carpenter_custom_style .=' width: '.esc_attr($expert_carpenter_services_img_size).'px !important; height: '.esc_attr($expert_carpenter_services_img_size).'px;';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_serviceheading_color = get_theme_mod('expert_carpenter_serviceheading_color');
	if ( $expert_carpenter_serviceheading_color != '') {
		$expert_carpenter_custom_style .=' #our_service .services-head h2 {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_serviceheading_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_service_color = get_theme_mod('expert_carpenter_service_color');
	if ( $expert_carpenter_service_color != '') {
		$expert_carpenter_custom_style .=' #our_service .services-box h3 a {';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_service_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_servictext_color = get_theme_mod('expert_carpenter_servictext_color');
	if ( $expert_carpenter_servictext_color != '') {
		$expert_carpenter_custom_style .=' #our_service .services-box p{';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_servictext_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_servicebtn_color = get_theme_mod('expert_carpenter_servicebtn_color');
	if ( $expert_carpenter_servicebtn_color != '') {
		$expert_carpenter_custom_style .=' #our_service .read-more a{';
			$expert_carpenter_custom_style .=' color:'.esc_attr($expert_carpenter_servicebtn_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_servicebg_color = get_theme_mod('expert_carpenter_servicebg_color');
	if ( $expert_carpenter_servicebg_color != '') {
		$expert_carpenter_custom_style .=' .service-content{';
			$expert_carpenter_custom_style .=' background-color:'.esc_attr($expert_carpenter_servicebg_color).';';
		$expert_carpenter_custom_style .=' }';
	}

	$expert_carpenter_serviceshadow_color = get_theme_mod('expert_carpenter_serviceshadow_color');
	if ( $expert_carpenter_serviceshadow_color != '') {
		$expert_carpenter_custom_style .=' #our_service .services-box:hover{';
			$expert_carpenter_custom_style .=' box-shadow: 0px 3px 8px '.esc_attr($expert_carpenter_serviceshadow_color).';';
		$expert_carpenter_custom_style .=' }';
	}